List segmentation rules
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/segmentationRules \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/segmentationRules"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/segmentationRules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"filename": "<string>",
"name": "<string>",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"language": "<string>",
"locale": "<string>",
"primary": true,
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Segmentation Rules
List segmentation rules
Lists segmentation rules of the organization. The language and languages parameters are mutually exclusive; providing both returns 400 Bad Request. The locales parameter is normalized before filtering. Requires an internal role (ADMIN or PROJECT_MANAGER).
GET
/
api2
/
v1
/
segmentationRules
List segmentation rules
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Filter by multiple locales
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Available options:
LOCALE, NAME, FILENAME, PRIMARY, OWNER, DATE_CREATED Available options:
ASC, DESC Filter by name
Filter by language
Filter by multiple languages
Filter by filename
Filter by the primary field
Filter by owner
Was this page helpful?